Delete a note
curl --request DELETE \
--url https://client-api.salesfinity.co/v2/notes/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"user_id": "507f1f77bcf86cd799439011"
}
'import requests
url = "https://client-api.salesfinity.co/v2/notes/{id}"
payload = { "user_id": "507f1f77bcf86cd799439011" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '507f1f77bcf86cd799439011'})
};
fetch('https://client-api.salesfinity.co/v2/notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Notes
Delete a Note
Deletes an existing note. Only the original author may delete a note.
DELETE
/
v2
/
notes
/
{id}
Delete a note
Deletes an existing note.
Only the original author may delete a note.
Path Parameters
- id (required, string): Note ID, from List Notes.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
user_id | string | Yes | ID of the team member performing the delete. Must match the original author of the note. |
Example Request
{
"user_id": "507f1f77bcf86cd799439033"
}
Response (200)
{
"success": true
}
Errors
| Status | Description |
|---|---|
| 403 | Only the author can delete this note |
| 404 | Note not found |
Authorizations
Path Parameters
Note ID
Body
application/json
ID of the team member performing the delete. Must match the original author of the note.
Example:
"507f1f77bcf86cd799439011"
Response
Note deleted successfully
Example:
true
⌘I